# Add

`POST /user/keys`

Registers a new public SSH key for the authorized user

**Required Scopes:** `USER_KEY`

## Body Parameters

```typescript
interface BodyParameters {
  /** The title/name of the SSH key */
  title?: string;
  /** The SSH public key content */
  content: string;
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the SSH key */
  id?: number;
  /** The title/name of the SSH key */
  title?: string;
  /** The SSH public key content */
  content?: string;
}
```

## Request Example

```bash
curl -X POST "https://api.buddy.works/user/keys" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "My Development Key",
  "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com"
}'
```

## Response Example

**Status:** `201 Created`

```json
{
  "url": "https://api.buddy.works/user/keys/456",
  "html_url": "https://app.buddy.works/ssh-keys/details/456",
  "id": 456,
  "title": "My Development Key",
  "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com"
}
```

---
Original source: https://buddy.works/docs/api/platform/account/ssh-keys/add